Bug 407201 - X.org eating 30% of cpu when moving my mouse
X.org eating 30% of cpu when moving my mouse
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-mouse (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Peter Hutterer
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-12-01 03:06 EST by Thomas Canniot
Modified: 2008-07-21 20:12 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-07-21 20:12:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
screenshot of gnome-system-monitor (27.20 KB, image/png)
2007-12-01 03:06 EST, Thomas Canniot
no flags Details
xorg.conf after fresh install (837 bytes, text/plain)
2008-01-30 13:26 EST, Thomas Canniot
no flags Details
xorg log file after fresh install (56.42 KB, text/plain)
2008-01-30 13:28 EST, Thomas Canniot
no flags Details
xorg log file after redetecting my hardware (56.38 KB, text/plain)
2008-01-30 13:28 EST, Thomas Canniot
no flags Details
worg log file (peter request) (47.25 KB, text/plain)
2008-07-19 08:08 EDT, Thomas Canniot
no flags Details

  None (edit)
Description Thomas Canniot 2007-12-01 03:06:46 EST
Description of problem:
When I happen to move my mouse, X.org eats between 30 to 40% of the CPU time.
My mouse is a Logitech G5 Laser mouse. 

I tested on two computer, a laptop and a desktop one.

Laptop : Sempron 3100+, 1,5go of RAM, ATI proprietary drivers.
Desktop : Athlon 2800+, 1go of RAM, nVidia proprietary drivers.

I alwso tested on both machine under Fedora 7 and the problem does is not present.

Please tell me all the extra info you would need to fix the bug.

Comment 1 Thomas Canniot 2007-12-01 03:06:46 EST
Created attachment 274641 [details]
screenshot of gnome-system-monitor
Comment 2 Thomas Canniot 2008-01-29 14:34:13 EST
I tested with a cheap mouse and I don't have the problem. Maybe the bug is on
evdev and not xorg-x11-drv-mouse ?
Comment 3 Matěj Cepl 2008-01-30 10:41:40 EST
I have a bad news for you -- we really need you to reproduce this without using
proprietary drivers -- we have a long list of issues which evaporated just when
user switched to open source drivers (that's nothing to say against ATI and
nVidia engineers -- they have certainly similar list of problems caused by our
drivers, but we really cannot diagnose the problem in those drivers).

In order to clean your computer of all remains of those drivers, please follow
steps on http://fedoraproject.org/wiki/Xorg/3rdPartyVideoDrivers.

Then please attach your X server config file (/etc/X11/xorg.conf) and X server
log file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 4 Thomas Canniot 2008-01-30 13:26:38 EST
Created attachment 293464 [details]
xorg.conf after fresh install
Comment 5 Thomas Canniot 2008-01-30 13:28:06 EST
Created attachment 293465 [details]
xorg log file after fresh install
Comment 6 Thomas Canniot 2008-01-30 13:28:36 EST
Created attachment 293466 [details]
xorg log file after redetecting my hardware
Comment 7 Thomas Canniot 2008-01-30 13:33:11 EST
Here are all the files you asked for. Thank you very much guiding me through
this bug. I made a fresh install of Fedora 8 and did not update it yet. However,
on the old installed one, the problem is still there so I guess update will not
fix the issue. But i will made them, one never knows.

After restarting without xorg.org file, the system did not detect anything and
failed starting. I had to start system-config-display, which made X start
successfully and validate the default configuration it found.
Comment 8 Thomas Canniot 2008-03-07 10:35:22 EST
The bug is still present in a today updated rawhide (fresh fedora 9 alpha that
update regularly). I did not install any proprietary driver on it. Do you need
more information ?
Comment 9 Peter Hutterer 2008-07-18 00:57:00 EDT
what version are you running now, and is this still an issue?
Also, can you give me a log file of your current server please, if you switched
to F9 then you also bumped the server version.
Comment 10 Thomas Canniot 2008-07-19 08:06:48 EDT
Hello Peter and thanks to take back this bug :)

I have 2 pcs on which the problem occurs with the same mouse
Both PC are running Fedora 9 and are up to date. Both did not received any video
proprietary drivers. One is nvidia video card, the other is ati video card. Both
are AMD processor.

Here are the xorg rpm installed related to pointing devices :


I post the xorg.log below.
Comment 11 Thomas Canniot 2008-07-19 08:08:02 EDT
Created attachment 312199 [details]
worg log file (peter request)
Comment 12 Peter Hutterer 2008-07-20 20:39:43 EDT
can't see anything in the log files that'd be out of the ordinary.
Looking at the specs - this mouse has a high reporting rate, so the load may be
due to the high sample rate.
for example, a cheap mouse may report 5 move events by 10/10 each.
this mouse with its higher sample rate may report 50 events by 1/1 each instead.
This could contribute to the high load. it would also explain why you only see
it when you move the mouse.

please connect a different mouse to the same box and restart X. If it only
happens for the laser mouse, then its hardware related.
Comment 13 Thomas Canniot 2008-07-21 04:38:51 EDT
However this happened only from Fedora 8. It worked normaly under Fedora 7.
Comment 14 Thomas Canniot 2008-07-21 04:40:04 EDT
OK forget it I have the same load under Windows... damn :( I need to buy a new
processor !
Comment 15 Peter Hutterer 2008-07-21 20:12:35 EDT
This is just a random guess but F7's server may have used polling for the mouse
instead of SIGIOs. In this case the data would accumulate and result in less
events - and less load. Just a guess though.

Anyway, closing as NOTABUG, it's HW related.

Note You need to log in before you can comment on or make changes to this bug.